Criar pipeline
curl --request POST \
--url https://api.vendaze.com/v1/pipelines \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Novos Negócios",
"stages": [
{
"name": "Prospecção",
"type": "open",
"probability": 10
},
{
"name": "Proposta",
"type": "open",
"probability": 40
},
{
"name": "Negociação",
"type": "open",
"probability": 70
},
{
"name": "Ganho",
"type": "win",
"probability": 100
},
{
"name": "Perdido",
"type": "lost",
"probability": 0
}
]
}
'import requests
url = "https://api.vendaze.com/v1/pipelines"
payload = {
"name": "Novos Negócios",
"stages": [
{
"name": "Prospecção",
"type": "open",
"probability": 10
},
{
"name": "Proposta",
"type": "open",
"probability": 40
},
{
"name": "Negociação",
"type": "open",
"probability": 70
},
{
"name": "Ganho",
"type": "win",
"probability": 100
},
{
"name": "Perdido",
"type": "lost",
"probability": 0
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Novos Negócios',
stages: [
{name: 'Prospecção', type: 'open', probability: 10},
{name: 'Proposta', type: 'open', probability: 40},
{name: 'Negociação', type: 'open', probability: 70},
{name: 'Ganho', type: 'win', probability: 100},
{name: 'Perdido', type: 'lost', probability: 0}
]
})
};
fetch('https://api.vendaze.com/v1/pipelines', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "Novos Negócios",
"created_at": "2023-11-07T05:31:56Z",
"stages": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "Proposta",
"type": "open",
"probability": 40,
"created_at": "2023-11-07T05:31:56Z"
}
]
}
}{
"error": {
"code": "bad_request",
"message": "Request body must be valid JSON.",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "unauthorized",
"message": "Missing or invalid Authorization header.",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "insufficient_scope",
"message": "This endpoint requires the 'webhooks:read' scope.",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "validation_error",
"message": "Validation failed.",
"fields": {
"url": "url must use HTTPS.",
"events": "At least one event is required."
},
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "rate_limit_exceeded",
"message": "Rate limit exceeded. Try again in 60 seconds.",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "internal_error",
"message": "An unexpected error occurred.",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}Pipelines
Criar pipeline
Cria um novo pipeline com suas etapas.
Escopo necessário
Escopo necessário
deals:write
POST
/
v1
/
pipelines
Criar pipeline
Autorizações
Access token OAuth 2.1.
Corpo
application/json
Resposta
Pipeline criado com sucesso.
Show child attributes
Show child attributes